summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2016-11-28 13:32:55 +0100
committerBernard Cafarelli <voyageur@gentoo.org>2016-11-28 13:48:57 +0100
commitc3f48e6de429b7dd89d551da6bcc0f34cf679abc (patch)
tree1f3af4af53e46d6b11b3638a2ee6a95e9d93c273
parentmedia-video/devedeng: version bump to 4.8.5 (diff)
downloadgentoo-c3f48e6de429b7dd89d551da6bcc0f34cf679abc.tar.gz
gentoo-c3f48e6de429b7dd89d551da6bcc0f34cf679abc.tar.bz2
gentoo-c3f48e6de429b7dd89d551da6bcc0f34cf679abc.zip
dev-python/pyinsane: version bump to 2.0.7
Package-Manager: portage-2.3.2
-rw-r--r--dev-python/pyinsane/Manifest1
-rw-r--r--dev-python/pyinsane/pyinsane-2.0.7.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/pyinsane/Manifest b/dev-python/pyinsane/Manifest
index 7726d7d5249..a08867f6857 100644
--- a/dev-python/pyinsane/Manifest
+++ b/dev-python/pyinsane/Manifest
@@ -1,3 +1,4 @@
DIST pyinsane-1.4.0.tar.gz 303703 SHA256 e0ba69440f366854c26cb4661bf08fdce95eefa4b99a461c5e8d057909210f55 SHA512 ed56f996174be0ab45cae1380eacb0439b0d0549ea6b2e3c34667a2841822412dc99782d7bba7eaae71b70179f0e3cd5039d38e751ac0598562d68eea1aa8ec8 WHIRLPOOL 48204a0f7b66e8e21b010c3efc8fbcaefd6451bb19a5800e687e3c177b41a149f5b1adc9cdf71e7ce1f16288d2e696061bd028b4e1dce0ae5cf8f739c59de017
DIST pyinsane-2.0.3.tar.gz 322092 SHA256 9dfd70f6542ee64f84568c6a14285d08d8235e0e3a8de73842a1bd8bc5b39250 SHA512 3df4a1316680500bec03c54ddb0e4735f732437a4356e4d4b56a901d5a87be71447ec66bec349016ce869bc955f1acb99edf7b158ee67764653a797ecc3bb29b WHIRLPOOL c9fba19bc177ccd32dae16784bb8fd4f355226a9c628c9fc2e568c5b9c8b77b64d7de2ef2368ba6e979dea823191a32791015fb37afcb33292b30707400dc427
DIST pyinsane-2.0.6.tar.gz 322776 SHA256 039e6b462c510edb62bd2fc781c60eea60e7cdac836016195cabeff894d4d203 SHA512 4dac60e3a193f4e4a693ffe77196aebde690a36b89d6a9801ccc7e69a43c81229540e1a250455a3f61ecec655f5bfba9efab83801009263a5a2076fdda676fde WHIRLPOOL 8c4e2ca54507b51cbc46145bb1b3639e72f68a09da02bed6feae8e73b102f5940d64978fd5775ed979075ed30069dfcc4e63b3d4875e417eee4429ba91673756
+DIST pyinsane-2.0.7.tar.gz 323240 SHA256 e6a75f8ed0800c6be53f53cceecef70728f915f488138f4e612dd1e6e7e82374 SHA512 8b6f3325c4ca63e18e0fd5cd808fce701186548a13202d8a0c9a6b8106e8995c9cecf4107aa2225207a4e25b7b7720e2bd7bab4171d372c2ff9301dd129b7ec7 WHIRLPOOL 2a6b93734d3d9108093edea5ee6364488a0a80a3f7cd935b208593eae4e6bee280d18a705236f20ea3c9d8f4ac76e9e10348280938b893f4f9009e1d77b26424
diff --git a/dev-python/pyinsane/pyinsane-2.0.7.ebuild b/dev-python/pyinsane/pyinsane-2.0.7.ebuild
new file mode 100644
index 00000000000..3bc931d126d
--- /dev/null
+++ b/dev-python/pyinsane/pyinsane-2.0.7.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the Sane API and abstration layer"
+HOMEPAGE="https://github.com/jflesch/pyinsane"
+SRC_URI="https://github.com/jflesch/pyinsane/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="2"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="media-gfx/sane-backends
+ dev-python/pillow[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+RESTRICT="test" # Tests require at least one scanner with a flatbed and an ADF
+
+python_prepare_all() {
+ sed -e "/'nose>=1.0'/d" -i setup.py || die
+ distutils-r1_python_prepare_all
+}